<?php
/** This is a super user (administrator)
 * @param int ADMIN_ROLE
 */
define('ADMIN_ROLE', 1);

/** This is a regular user
 * @param int USER_ROLE
 */
define('USER_ROLE', 0);
/** user has not verified email address
*   @param int PENDING_USER;
*/
define('PENDING_USER', 0);

/** user is active on website
*   @param int ACTIVE_USER;
*/
define('ACTIVE_USER', 1);

/** user has been inactive for a long time
*   @param int INACTIVE_USER;
*/
define('INACTIVE_USER', 2);

/** user account has been suspended by admin
*   @param int SUSPENDED_USER;
*/
define('SUSPENDED_USER', 3);

/** user account was deleted
*   @param int DELETED_USER;
*/
define('DELETED_USER', 4);

/** user have access to website but can not perform any transaction
*    @param int LIMITED_USER;
*/
define('LIMITED_USER', 5);

/** user can not perform some features without upgrading
*   @param string LIMITED_STRENGTH;
*/
define('LIMITED_STRENGTH','limited');

/** user can perform all sort of transaction
*   @param string EXTENDED_STRENGTH;
*/
define('EXTENDED_STRENGTH','extended');

/** path to all images
*    @param string IMAGE_PATH;
*/
define('IMAGES_PATH', '/images');

/** path to images in assets folder
*    @param string ASSET_IMAGES_PATH;
*/
define('ASSET_IMAGES_PATH', '/assets/images');

/** path to profile pictures
*    @param string PROFILE_IMAGES_PATH;
*/
define('PROFILE_IMAGES_PATH', '/images/avatar');

/** Count number of current transfers made by user.
 * Incase admin deletes transfer history of user
 * @param int CURR_TRANSFER_COUNT
*/
define('CURR_TRANSFER_COUNT', 0);

/** transaction has been approved by admin
*   @param int APPROVED_TX;
*/
define('APPROVED_TX', 1);

/** transaction is pending review by admin
*   @param int PENDING_TX;
*/
define('PENDING_TX', 0);

/** transaction has been declined by admin
*   @param int DECLINED_TX;
*/
define('DECLINED_TX', 2);

/** transaction has been held by imf
*   @param int HELD_BY_IMF_TX;
*/
define('HELD_BY_IMF_TX', 3);

/** transaction is in progress
*   @param int PROGRESS_TX;
*/
define('IN_PROGRESS_TX', 4);

/** ticket has been replied by admin
*   @param string OPENED_TICKET;
*/
define('OPENED_TICKET', 'open');

/** ticket is pending review by admin
*   @param int PENDING_TICKET;
*/
define('PENDING_TICKET', 'pending');

/** ticket has been closed by admin
*   @param int CLOSED_TICKET;
*/
define('CLOSED_TICKET', 'closed');


/** loan is approved by admin
*   @param string APPROVED_LOAN;
*/
define('APPROVED_LOAN', 1);

/** loan is pending approval by admin
*   @param int PENDING_LOAN;
*/
define('PENDING_LOAN', 0);

/** loan has been declined by admin
*   @param int DECLINED_LOAN;
*/
define('DECLINED_LOAN', 2);


/** card is approved by admin
*   @param string APPROVED_CARD;
*/
define('APPROVED_CARD', 1);

/** card is pending approval by admin
*   @param int PENDING_CARD;
*/
define('PENDING_CARD', 0);

/** loan has been declined by admin
*   @param int DECLINED_CARD;
*/
define('DECLINED_CARD', 2);
